httpd-test-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stas Bekman <s...@stason.org>
Subject Re: Apache-Test
Date Thu, 13 Jan 2005 20:30:05 GMT
Stas Bekman wrote:

>>>> Maybe it's a thing of the past, or I'm just too tired right now. At one
>>>> time I saw something like "Found mod_perl-1.x, good, will install
>>>> relatively to Apache2/". And that message was despite the
>>>> MP_INST_APACHE2=1 thing.
>>>
>>>
>>> Hmm, do you think it's a misleading message? I guess we could remove 
>>> it if
>>> MP_INST_APACHE2=1 is used explicitly.
>>
>>
>>
>> That would be great! That would mean I don't have to have any apache_1 
>> stuff installed when building this module.
> 
> 
> OK, going to look at it.

Could you paste the exact message, Oden?

Take a look at modperl-2.0/Makefile.PL:

         if ($build->{MP_INST_APACHE2}) {
             print "ok (installing relative to Apache2/)\n";
         }
         else {
            ....

The logic looks fine to me. If you have specified MP_INST_APACHE2=1 as 
you've suggested above, it'd have printed:

             print "ok (installing relative to Apache2/)\n";

-- 
__________________________________________________________________
Stas Bekman            JAm_pH ------> Just Another mod_perl Hacker
http://stason.org/     mod_perl Guide ---> http://perl.apache.org
mailto:stas@stason.org http://use.perl.org http://apacheweek.com
http://modperlbook.org http://apache.org   http://ticketmaster.com


Mime
View raw message